/************************ Adafruit IO Configuration *******************************/

// visit io.adafruit.com if you need to create an account,
// or if you need your Adafruit IO key.
#define IO_USERNAME    "？"
#define IO_KEY         "？"

/******************************* WIFI Configuration **************************************/

#define WIFI_SSID       "？"
#define WIFI_PASS       "？"

#include "AdafruitIO_WiFi.h"
AdafruitIO_WiFi io(IO_USERNAME, IO_KEY, WIFI_SSID, WIFI_PASS);

/************************ Main Program Starts Here *******************************/
#include <ESP8266WiFi.h>
#include <AdafruitIO.h>
#include <Adafruit_MQTT.h>
#include <ArduinoHttpClient.h>

int value = 0;//读取的值
int current = 0;
int last = 0;

#define YLED_PIN 13
#define RLED_PIN 5

AdafruitIO_Feed *command1 = io.feed("command1");
AdafruitIO_Feed *command2 = io.feed("command2");
  
void setup() {
      Serial.begin(115200);//打开串口，可以在串口监视器中查看测量的数值
      pinMode(YLED_PIN, OUTPUT);
      pinMode(RLED_PIN, OUTPUT);

      Serial.print("Connecting to Adafruit IO");
        io.connect();
  
      command2->onMessage(handleMessage);
        
      while(io.status() < AIO_CONNECTED) {
        Serial.print(".");
        delay(500);
        }
      Serial.println();
      Serial.println(io.statusText());
}
  

void loop() {  
        io.run();
        
        value = analogRead(A0);
        Serial.println(value);
        if(value > 400){
          digitalWrite(YLED_PIN, HIGH);
          current = 1;
          }
          else{
          digitalWrite(YLED_PIN, LOW); 
          current = 0; 
          }
          
        if(current == last)
        return;
          
        Serial.print("sending button -> ");
        Serial.println(current);
        command1->save(current);

        last = current;
        
        delay(50);
}

void handleMessage(AdafruitIO_Data *data) {

  int command2 = data->toInt();

  if (command2 == 1){ //light up the LED
    Serial.print("received <- ");
    Serial.println(command2);
     digitalWrite(RLED_PIN, HIGH);
  } 
  if (command2 == 0){
    digitalWrite(RLED_PIN, LOW);
    Serial.print("received <- ");
    Serial.println(command2);
  }
}
